summaryrefslogtreecommitdiff
path: root/packages/html.source.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packages/html.source.sh')
-rw-r--r--packages/html.source.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/packages/html.source.sh b/packages/html.source.sh
index efb9bf6b..6049c2f9 100644
--- a/packages/html.source.sh
+++ b/packages/html.source.sh
@@ -49,9 +49,10 @@ html::make_link () {
local link="$1"; shift
local descr="$1"; shift
- if $GREP -F -q '://' <<< "$link"; then
+ if ! $GREP -F -q '://' <<< "$link"; then
link=${link/.gmi/.html}
fi
+
if [[ -z "$descr" ]]; then
descr="$link"
fi